VFS_BUSY(9)

NAME
vfs_busy - marks a mount point as busy

SYNOPSIS
#include <sys/param.h>
#include <sys/mount.h>
int
vfs_busy(struct mount *mp, int flags);

DESCRIPTION
The vfs_busy() function marks a mount point as busy by incrementing the reference count of a mount point. It also delays unmounting by sleeping on mp if the MNTK_UNMOUNT flag is set in mp->mnt_kern_flag and the MBF_NOWAIT flag is not set.

Its arguments are:

mp  The mount point to busy.

flags
    Flags controlling how vfs_busy() should act.

    MBF_NOWAIT
        do not sleep if MNTK_UNMOUNT is set.

    MBF_MNTLSTLOCK
        drop the mountlist_mtx in the critical path.

RETURN VALUES
A 0 value is returned on success. If the mount point is being unmounted and MBF_NOWAIT flag is specified ENOENT will be returned.

ERRORS

[ENOENT]
    The mount point is being unmounted (MNTK_UNMOUNT is set).

AUTHORS
This manual page was written by Chad David <davidc@acns.ab.ca>.